EQN2GRAPH(@MAN1EXT@)

NAME
eqn2graph - convert an EQN equation into a cropped image

SYNOPSIS
eqn2graph [ -unsafe ] [ -format fmt ]

DESCRIPTION
Reads an EQN equation (one line) as input; produces an image file (by default in Portable Network Graphics format) suitable for the Web as output.

Your input EQN code should not have the .EQ/.EN preamble that that normally precedes it within groff(@MAN1EXT@) macros; nor do you need to have dollar-sign or other delimiters around the equation.

The output image will be a black-on-white graphic clipped to the smallest possible bounding box that contains all the black pixels. By specifying command-line options to be passed to convert(1) you can give it a border, set the background transparent, set the image's pixel density, or perform other useful transformations.

This program uses @g@eqn(@MAN1EXT@), groff(@MAN1EXT@), and the ImageMagick convert(1) program. These programs must be installed on your system and accessible on your $PATH for eqn2graph to work.

OPTIONS

-unsafe
    Run groff(@MAN1EXT@) in the `unsafe' mode enabling the PIC macro sh to execute arbitrary commands. The default is to forbid this.

-format fmt
    Specify an output format; the default is PNG (Portable Network Graphics). Any format that convert(1) can emit is supported.

Command-line switches and arguments not listed above are passed to convert(1).

FILES
@MACRODIR@/eqnrc The @g@eqn(@MAN1EXT@) initialization file.

SEE ALSO
@g@eqn(@MAN1EXT@), groff(@MAN1EXT@), gs(1), convert(1).

AUTHOR
Eric S. Raymond <esr@thyrsus.com>.